#pragma once

#include <string>

class Symbol
{
public:
	Symbol(void);
	~Symbol(void);
	Symbol(std::string const& aname): name(aname) {};

	std::string getName() const {
		return name;
	};

	friend bool operator== (const Symbol& sym1, const Symbol& sym2);


private:

	std::string name;

};

std::ostream& operator<< (std::ostream& os, const Symbol& sym);

