#pragma once

#include <iostream>

class Expr;

extern Expr nil;

class ExprRep;

class Expr
{
public:

	Expr(void);
	Expr(ExprRep* anExprRepP);
	Expr(ExprRep& anExprRep);

	Expr(const Expr & e);

	virtual ~Expr(void);

	Expr& operator= (const Expr & e);

	Expr& setRep (ExprRep*  ep);
	ExprRep* getRep () const;

	Expr clone ();

	Expr eval ();
	Expr& operator[] (const Expr& ind);

	void print(std::ostream & os) const;




protected:

	ExprRep* rep;

};


std::ostream& operator<< (std::ostream& os, const Expr& e);

