#pragma once

#include <iostream>

#include "RefCountObj.h"


class Expr;

class Undefined {};

class ExprRep: public RefCountObj
{
public:
	ExprRep(void);
	
	ExprRep(const ExprRep & rhs);
	
	virtual ~ExprRep(void);

	virtual ExprRep* clone () {
		return new ExprRep(*this);
	};


	virtual void print (std::ostream& os) const {
		os << "ExprRep";
	};

	virtual Expr& operator[] (const Expr& ind);
//	virtual Expr& set (const Expr& e);



};

std::ostream& operator<< (std::ostream& os, ExprRep* rep);